Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theater
Class CellArea

    java.lang.Object
      theater.CellArea

All Implemented Interfaces:
  PixelArea

    public class CellArea

extends java.lang.Object
implements PixelArea

Die Klasse CellArea repräsentiert ein Menge von Zellen (genauer ein rechteckiges Gebiet von Zellen) der Bühne. Sie implementiert das Interface PixelArea, so dass mit dieser Klasse Kollisionen von Zellen mit anderen Gebieten der Bühne überprüft werden können.

Version:
  1.0 (08.09.2009)
Author:
  Dietrich Boles, Universität Oldenburg, Germany

Field Summary
`protected int` | `fromCol` Spalte der linken oberen Ecke des CellArea-Gebietes
`protected int` | `fromRow` Reihe der linken oberen Ecke des CellArea-Gebietes
`protected int` | `numberOfCols` Breite, d.h.
`protected int` | `numberOfRows` Höhe, d.h.

Constructor Summary
`CellArea(int fromCol, int fromRow, int numberOfCols, int numberOfRows)` Konstruktor zum Initialisieren der CellArea.

Method Summary
`boolean` | `contains(int x, int y)` Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen CellArea liegt.
`int` | `getFromCol()` Liefert die Spalte der linken oberen Ecke der CellArea.
`int` | `getFromRow()` Liefert die Reihe der linken oberen Ecke der CellArea.
`int` | `getNumberOfCols()` Liefert die Breite, d.h. die Anzahl an Spalten der CellArea.
`int` | `getNumberOfRows()` Liefert die Höhe, d.h. die Anzahl an Reihen der CellArea.
`boolean` | `intersects(PixelArea area)` Überprüft, ob die aufgerufene CellArea die als Parameter übergebene PixelArea schneidet.
`boolean` | `isInside(PixelArea area)` Überprüft, ob die aufgerufene CellArea komplett innerhalb der als Parameter übergebenen PixelArea liegt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fromCol

    protected int fromCol

  Spalte der linken oberen Ecke des CellArea-Gebietes

### fromRow

    protected int fromRow

  Reihe der linken oberen Ecke des CellArea-Gebietes

### numberOfCols

    protected int numberOfCols

  Breite, d.h. Anzahl an Spalten des CellArea-Gebietes

### numberOfRows

    protected int numberOfRows

  Höhe, d.h. Anzahl an Spalten des CellArea-Gebietes

Constructor Detail

### CellArea

    public CellArea(int fromCol,
                    int fromRow,
                    int numberOfCols,
                    int numberOfRows)

  Konstruktor zum Initialisieren der CellArea.

  Parameters:
    `fromCol` - Spalte der linken oberen Ecke des CellArea-Gebietes
    `fromRow` - Reihe der linken oberen Ecke des CellArea-Gebietes
    `numberOfCols` - Breite, d.h. Anzahl an Spalten des CellArea-Gebietes
    `numberOfRows` - Höhe, d.h. Anzahl an Spalten des CellArea-Gebietes

Method Detail

### contains

    public boolean contains(int x,
                            int y)

  Überprüft, ob der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen CellArea liegt.

  Specified by:
    `contains` in interface `PixelArea`
  Parameters:
    `x` - x-Koordinate des Punktes
    `y` - y-Koordinate des Punktes
  Returns:
    genau dann true, wenn der Punkt mit den als Parameter übergebenen Koordinaten innerhalb der aufgerufenen CellArea liegt
  See Also:
    `PixelArea.contains(int, int)`

### getFromCol

    public int getFromCol()

  Liefert die Spalte der linken oberen Ecke der CellArea.

  Returns:
    die Spalte der linken oberen Ecke der CellArea

### getFromRow

    public int getFromRow()

  Liefert die Reihe der linken oberen Ecke der CellArea.

  Returns:
    die Reihe der linken oberen Ecke der CellArea

### getNumberOfCols

    public int getNumberOfCols()

  Liefert die Breite, d.h. die Anzahl an Spalten der CellArea.

  Returns:
    die Anzahl an Spalten der CellArea

### getNumberOfRows

    public int getNumberOfRows()

  Liefert die Höhe, d.h. die Anzahl an Reihen der CellArea.

  Returns:
    die Anzahl an Reihen der CellArea

### intersects

    public boolean intersects(PixelArea area)

  Überprüft, ob die aufgerufene CellArea die als Parameter übergebene PixelArea schneidet.

  Specified by:
    `intersects` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene CellArea die als Parameter übergebene PixelArea schneidet
  See Also:
    `PixelArea.intersects(theater.PixelArea)`

### isInside

    public boolean isInside(PixelArea area)

  Überprüft, ob die aufgerufene CellArea komplett innerhalb der als Parameter übergebenen PixelArea liegt.

  Specified by:
    `isInside` in interface `PixelArea`
  Parameters:
    `area` - die zu vergleichende PixelArea
  Returns:
    genau dann true, wenn die aufgerufene CellArea komplett innerhalb der als Parameter übergebenen PixelArea liegt
  See Also:
    `PixelArea.isInside(theater.PixelArea)`

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD